Eclipse BIRT Report Object Model (ROM)

OdaDataSetParam Structure

# Structure Overview

Describes an input and/or output parameter of the ODA data set query.

### Details

Display Name: | OdaDataSetParam
Since: | 2.1.1

### Property Summary

allowNull
  Whether a null value is allowed for this parameter.
dataType
  The optional data type of the parameter.
defaultValue
  The BIRT expression that defines the default value of the input parameter.
description
descriptionID
displayName
displayNameID
heading
headingID
helpText
helpTextID
isInput
  Whether the parameter is of input mode.
isOptional
  Whether the report must provide a value for the input parameter.
isOutput
  Whether the parameter is of output mode.
name
  The name of the parameter.
nativeDataType
  The data type know to an ODA user.
nativeName
  The name known to an ODA user.
paramName
  The name of the report parameter that the parameter refers to.
position
  The 1-based position of the parameter, as defined by the underlying driver.

### Description

The data set parameter definition element describes the parameters of the data set query. A parameter can be input only, output only, or both.

### See Also

The Parameter Definitions section above for the rules to identify a parameter by name vs. position

# Property Detail

## allowNull Property

Whether a null value is allowed for this parameter.

### Details

Type: | boolean
Since: | 2.1.1
Required: | No
Display Name: | Allow Null
JavaScript Type: |
Default Value: | false
Runtime Settable: | No

### Description

If true, the parameter value can be null. If false, the value cannot be null.

## dataType Property

The optional data type of the parameter.

### Details

Type: | choice (paramType)
Since: | 2.1.1
Required: | No
Display Name: | Data Type
JavaScript Type: |
Default Value: | string
Runtime Settable: | No

### Choices

Name | Display Name | Value | Description
string | String | string | Arbitrary Unicode text.
float | Float | float | A scientific amount using the usual floating point notation.
decimal | Decimal | decimal | Any type of number including currency. Fixed decimal, arbitrary precision.
dateTime | Date Time | dateTime | A date, time or combination of date and time.
boolean | Boolean | boolean |
integer | Integer | integer | A whole number.
date | Date | date |
time | Time | time |
javaObject | Java Object | javaObject |

### Description

The optional data type of the parameter. Required only for data sets that require this information. Complex data set parameter data types, such as structure or table parameters of a query, are reserved for future releases, and are not listed in the Choices specification.

## defaultValue Property

The BIRT expression that defines the default value of the input parameter.

### Details

Type: | expression
Context: | factory
Expression Type: | any
Since: | reserved
Required: | No
Display Name: | Default Value
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The expression that gets evaluated and its resulting value assigned as default value of the input parameter. The default value expression, if defined, is automatically bound to the parameter only if no explicit parameter binding is defined in the data set and its corresponding report parameter.

### See Also

Data Set ParamBinding structureReport Item paramBindings property

## description Property

### Details

Type: | string
Since: | 2.5.2
Required: | No
Display Name: | Description
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## descriptionID Property

### Details

Type: | resourceKey
Since: | 2.5.2
Required: | No
Display Name: | Description Resource Key
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## displayName Property

### Details

Type: | string
Since: | 2.5.2
Required: | No
Display Name: | Display Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## displayNameID Property

### Details

Type: | resourceKey
Since: | 2.5.2
Required: | No
Display Name: | Display Name Resource Key
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## heading Property

### Details

Type: | string
Since: | 2.5.2
Required: | No
Display Name: | Heading
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## headingID Property

### Details

Type: | resourceKey
Since: | 2.5.2
Required: | No
Display Name: | Heading Resource Key
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## helpText Property

### Details

Type: | string
Since: | 2.5.2
Required: | No
Display Name: | Help Text
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## helpTextID Property

### Details

Type: | resourceKey
Since: | 2.5.2
Required: | No
Display Name: | Help Text Resource Key
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

## isInput Property

Whether the parameter is of input mode.

### Details

Type: | boolean
Since: | 2.1.1
Required: | No
Display Name: | Is Input
JavaScript Type: |
Default Value: | false
Runtime Settable: | No

### Description

Indicates whether the parameter is of input mode. If true, this is an input parameter; if false, this is not an input parameter.

## isOptional Property

Whether the report must provide a value for the input parameter.

### Details

Type: | boolean
Since: | 2.1.1
Required: | No
Display Name: | Is Optional
JavaScript Type: |
Default Value: | false
Runtime Settable: | No

### Description

If false, the report must provide a value for the input parameter. If true, the value is optional. This property value is not relevant if the defaultValue property is defined with a value.

## isOutput Property

Whether the parameter is of output mode.

### Details

Type: | boolean
Since: | 2.1.1
Required: | No
Display Name: | Is Output
JavaScript Type: |
Default Value: | false
Runtime Settable: | No

### Description

Indicates whether the parameter is of output mode. If true, this is an output parameter; if false, this is not an output parameter.

## name Property

The name of the parameter.

### Details

Type: | string
Since: | 2.1.1
Required: | Yes
Display Name: | Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The name of the parameter. Required. Must be unique within a data set definition.

### See Also

The Parameter Definitions section above for the naming rules

## nativeDataType Property

The data type know to an ODA user.

### Details

Type: | integer
Since: | 2.1.1
Required: | No
Display Name: | Native Data Type Code
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

This is the data type known to an ODA custom designer and runtime driver, and is provided by a custom ODA designer in an oda.design.ParameterDefinition.

## nativeName Property

The name known to an ODA user.

### Details

Type: | literalString
Since: | 2.1.1
Required: | No
Display Name: | Native Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | Yes

### Description

This is the name known to an ODA custom designer and runtime driver, and is provided by a custom ODA designer in an oda.design.ParameterDefinition.

## paramName Property

The name of the report parameter that the parameter refers to.

### Details

Type: | string
Since: | 2.1.1
Required: | No
Display Name: | Parameter Name
JavaScript Type: |
Default Value: | None
Runtime Settable: | Yes

### Description

The parameter can explicitly link to a report parameter. Once this explicit link is applied, the defaultValue is then ignored and overriden by the defaultValue in the linked report parameter.

## position Property

The 1-based position of the parameter, as defined by the underlying driver.

### Details

Type: | integer
Since: | 2.1.1
Required: | No
Display Name: | Position
JavaScript Type: |
Default Value: | None
Runtime Settable: | No

### Description

The 1-based position of the parameter, as defined by the underlying driver. Required for data sets that identify input parameters by position instead of name. Ignored otherwise.